<%@page import="org.jahia.settings.SettingsBean"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="internal" uri="http://www.jahia.org/tags/internalLib" %>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<jcr:node var="highlightsNode" path="${renderContext.site.path}/Highlights" />
<c:choose>
  <c:when test="${empty highlightsNode}">

    <h1><fmt:message key='siteSettings.searchHighlights'/></h1>

    <template:tokenizedForm>
      <form action="<c:url value='${url.base}${renderContext.site.path}'/>/*" method="post">
        <input type="hidden" name="jcrNodeName" value="Highlights" />
        <input type="hidden" name="jcrNodeType" value="jnt:highlights"/>
        <input type="hidden" name="jcrRedirectTo"
               value="<c:url value='${url.base}${renderContext.mainResource.node.path}'/>"/>
        <input type="hidden" name="jcrNewNodeOutputFormat" value="${renderContext.mainResource.template}.html">
        <button type="submit" class="btn btn-primary">
          <i class="icon-ok icon-white"></i> <fmt:message key='siteSettings.searchHighlights.enable'/>
        </button>
      </form>
    </template:tokenizedForm>

  </c:when>
  <c:otherwise>

    <template:addResources>
      <link type="text/css" href="${url.context}/gwt/resources/css/gwt-1.6.min.css" rel="stylesheet"/>
    </template:addResources>
    <% pageContext.setAttribute("cfg", SettingsBean.getInstance()); %>
    <internal:gwtGenerateDictionary/>
    <internal:gwtInit/>
    <internal:gwtImport module="manager" />

    <template:gwtJahiaModule id="contentmanager" jahiaType="contentmanager" config="highlightmanager" embedded="true" />

  </c:otherwise>
</c:choose>
